2019-08-24 11:19 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005917Spring engineLuapublic2018-03-09 23:18
ReporterFLOZi 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusnewResolutionopen 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005917: fonts.lua missing from basecontent for new widgethandler
Descriptionreplacement selector.lua widget doesn't work without it

c.f. https://github.com/jk3064/new_widgethandler/tree/master/Utilities vs. https://github.com/spring/spring/tree/develop/cont/base/springcontent/LuaHandler/Utilities
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018870

FLOZi (reporter)

I guess it may be intended to do away with it altogether in favour of different approach to font rendering, but I'm not aware of another replacement selector.lua ( https://github.com/jk3064/new_widgethandler/blob/master/SystemWidgets/selector.lua ).

I'm probably just a poor dumb idiot slowly regressing into a Forb like state

~0018871

FLOZi (reporter)

Although https://github.com/jk3064/new_widgethandler/blob/master/SystemWidgets/selector.lua#L14 suggests it is already updated at least once for a new font system, but who knows how many there have been
+Notes

-Issue History
Date Modified Username Field Change
2018-03-09 23:10 FLOZi New Issue
2018-03-09 23:15 FLOZi Note Added: 0018870
2018-03-09 23:18 FLOZi Note Added: 0018871
+Issue History